<?php
require( get_template_directory(). '/core/menu/default_menu_walker.php' );
require( get_template_directory(). '/core/menu/weblizar_nav_walker.php' );
require( get_template_directory() . '/comment-function.php' );
require( get_template_directory() . '/customizer.php' );
require get_template_directory() . '/core/custom-header.php';

/*After Theme Setup*/

	function explora_head_setup(){
		if ( ! isset( $content_width ) ) $content_width = 900;
		
		load_theme_textdomain( 'explora', get_template_directory() . '/lang' ); // for theme text-domain
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( "title-tag" );
		add_theme_support( 'post-thumbnails');
		add_theme_support( 'custom-logo', array( 'height'=> 80, 'width' => 100, 'flex-height' => true, 'flex-width'  => true) );
		// for register menu
		register_nav_menu( 'explora-primary-menu', __( 'Primary Menu', 'explora' ) );
		add_theme_support( 'customize-selective-refresh-widgets' );
		
		/** * Registers an editor stylesheet for the theme. ***/
		function fashionair_theme_editor_styles() {
			add_editor_style( 'css/custom-editor-style.css' );
		}
		add_action( 'admin_init', 'fashionair_theme_editor_styles' );
		$args = array('default-color' => '#fff',);
		add_theme_support('custom-background', $args);
		
		/*** custom header settings ***/
		$args = array('flex-width'=> true, 'width'=> 2000, 'flex-height' => true, 'height'=> 100);
		add_theme_support('custom-header', $args);	
		
	}
	add_action( 'after_setup_theme', 'explora_head_setup' );

	/*Enqueue Styles And JS*/
	function explora_theme_style(){
		//style
		wp_enqueue_style('bootstrap',get_template_directory_uri() . '/css/bootstrap/css/bootstrap.css');
		wp_enqueue_style('font-awesome',get_template_directory_uri() . '/css/font-awesome.css');
		wp_enqueue_style('explora-swiper-css',get_template_directory_uri() . '/css/swiper.css');
		wp_enqueue_style('explora-animate-min-css',get_template_directory_uri() . '/css/animate.css');
		wp_enqueue_style('explora-photobox',get_template_directory_uri() . '/css/photobox.css');
		wp_enqueue_style('explora-owl',get_template_directory_uri() . '/css/owl.carousel.min.css');
        wp_enqueue_style('explora-media-Responsive',get_template_directory_uri() . '/css/media-screen.css');
		wp_enqueue_style('explora-main-css',get_template_directory_uri() . '/style.css');
		//JS
		
		wp_enqueue_script('jquery-bootstrap',get_template_directory_uri().'/css/bootstrap/js/bootstrap.js',array('jquery'));
		wp_enqueue_script('explora-swiper-js',get_template_directory_uri().'/js/swiper.js');
		wp_enqueue_script('jquery-photobox',get_template_directory_uri().'/js/jquery.photobox.js');
		wp_enqueue_script('explora-isotop-js',get_template_directory_uri().'/js/isotope.pkgd.js');
		wp_enqueue_script('explora-owl-js',get_template_directory_uri().'/js/owl.carousel.js');
		wp_enqueue_script('explora-custom-script',get_template_directory_uri().'/js/custom-script.js');
		
		if ( is_singular() ) wp_enqueue_script( "comment-reply" );
	}
	add_action( 'wp_enqueue_scripts', 'explora_theme_style' );

	function explora_default_settings() {
		$explora_theme_options=array(
			// For General Setting
				'custom_css'=> '',
				'explora_time'=>'on',
				'height'=>55,
				'width'=>200,
				'autoplay'=>'on',
				'read_more'=>__('Read More','explora'),
				'sticky_header'=>'on',
				
				// For Slider Setting
				'explora_slider'=> 'on',
				'slide_image_1'=> '',
				'slide_image_2'=> '',
				'slide_image_3'=> '',
				'slider_speed'=>3000,
				'explora_sliders'=>'1',
				
				// For Service Setting
				'explora_services'=> 'on',
				'explora_service_heading'=> 'Services',
				'explora_service_desc'=> '',
				'ser_img_1'=> '',
				'ser_img_2'=> '',
				'ser_img_3'=> '',
				
				// For Portfolio Setting
				'explora_portfolio'=>'on',
				'portfolio_category'=>'',
				'explora_portfolio_heading'=>'Portfolio',
				'explora_portfolio_desc'=>'',
				
				// For Blog Setting
				'explora_blog'=> 'on',
				'explora_blog_title'=> 'Blog',
				'explora_blog_desc'=> '',
				'blog_preview'=>2,
				'blog_category'=>'',
					
				//For Social Media Setting
				'explora_social_media'=>'on',
				'explora_footer_social_media'=>'on',
				'facbook_link'=>'#',
				'twitter_link'=>'#',
				'youtube_link'=>'#',
				'linkdin_link'=>'#',
				'goglpls_link'=>'#',
				
				//search
				'search_form' => 'on',
				
				// For Footer Setting					
				'explora_footer_link'=>'https://weblizar.com/',
				'explora_footer_link_text'=> __('weblizar','explora'),
				'explora_footer_text'=> __('Copyright  &#169; All Right Reserved 2018 | Explora developed By','explora'),
				);
		return apply_filters( 'explora_options', $explora_theme_options );	
	}

	// Options API	
	function explora_get_options() 
	{	return wp_parse_args(get_theme_mod('explora_options') , explora_default_settings());   }

	// For Post thumbnail
	if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );

		if ( function_exists( 'add_image_size' ) ) { 
			add_image_size ('explora-slider-thumb', 1920, 800,true);
			add_image_size ('explora-post-thumb', 400, 300,true);
			add_image_size ('explora-service-thumb', 200, 150,true);
			add_image_size ('explora-portfolio_thumb', 440, 280,true);
		}

	function explora_custom_excerpt_length( $length ) {
		return 20;
	}
	add_filter( 'excerpt_length', 'explora_custom_excerpt_length', 999 );

	//For Excerpt content
	function explora_excerpt_more( $more ) {
		return '.';
	}
	add_filter('excerpt_more', 'explora_excerpt_more');

	/* Explora widget area */
	add_action( 'widgets_init', 'explora_widgets_init');
	function explora_widgets_init() {
	/*sidebar*/
	register_sidebar( array(
			'name' => __( 'Sidebar', 'explora' ),
			'id' => 'explora-sidebar',
			'description' => __( 'The Sidebar Widget Area', 'explora' ),
			'before_widget' => '<div class="row w_sidebar">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>'
		) );

	register_sidebar( array(
			'name' => __( 'Footer Widget Area', 'explora' ),
			'id' => 'explora-footer',
			'description' => __( 'Footer Widget Area', 'explora' ),
			'before_widget' => '<div class="col-md-3 col-sm-6 footer-widget">',
			'after_widget' => '</div>',
			'before_title' => '<div class="col-md-12 widget-heading"><h1>',
			'after_title' => '</h1></div>',
		) );             
	}
	
	/*if (is_admin()) {
	require_once('core/admin/admin-themes.php');
}*/
if (is_admin()) {
	require_once('core/admin/hompage-set.php');
}
add_action( 'admin_notices', 'explora_rating' );
function explora_rating() {
    wp_register_style( 'custom_admin_css', get_template_directory_uri() . '/core/admin/admin-rating.css');
    wp_enqueue_style( 'custom_admin_css' );
	wp_enqueue_style('custom-bootstrap',  get_template_directory_uri() .'/core/admin/bootstrap/css/bootstrap.min.css');
	wp_enqueue_script('custom-bootstrap-js',get_template_directory_uri() .'/core/admin/bootstrap/js/bootstrap.min.js');
	wp_enqueue_style('font-awesome', get_template_directory_uri() . '/css/font-awesome-4.7.0/css/font-awesome.css');
	$wl_th_info = wp_get_theme(); 
	$currentversion = str_replace('.','',(esc_html( $wl_th_info->get('Version') )));
	$isitdismissed = 'explora_notice_dismissed'.$currentversion;
	if ( !get_user_meta( get_current_user_id() , $isitdismissed ) ) { ?>
	<div class="our-product-features">	
	
		<!--<div class="col-md-2">
			<ul class="nav nav-tabs features-tabs">
				<li class="active"><a data-toggle="tab" href="#home">Home</a></li>
				<li><a data-toggle="tab" href="#wb_theme">Theme </a></li>
				<li><a data-toggle="tab" href="#wb_plugin">Plugin </a></li>
				<li><a data-toggle="tab" href="#menu3">Rating Us</a></li>
				<li><a data-toggle="tab" href="#offer">Offers</a></li>
			</ul>
		</div>-->
		
		<div class="col-md-12">
		<a class="dismiss" href="?-notice-dismissed<?php echo $currentversion;?>"><?php _e('Click here to dismiss This Ad.','explora');?></strong></a>
		  <div class="tab-content features-content">
			<div id="home" class="tab-pane fade in active">
				<div class="oure-details">
				  <h3>  <span> Explora Premium  </span></h3>
				  <div class="col-md-12 main-div"> 
					<div class="col-md-4 theme-img">
						<div class="wb_products"> 
							<div class="wb_products-inner"> 
								<a href="https://weblizar.com/themes/explora-premium/" target="_blank"> 
								<img src="<?php echo get_template_directory_uri(); ?>/images/explora.jpg" class="img-responsive">  
								</a>
							</div>
						</div>
					</div>
					<div class="col-md-8">
					<div class="col-md-6">
						<ul class="enigma-feature">
							<li><i class="fa fa-check"></i> Multiple Templates</li>
							<li><i class="fa fa-check"></i> Box Layout</li>
							<li><i class="fa fa-check"></i> Unlimited Color Skins</li>
							<li><i class="fa fa-check"></i> Featured Slider</li>
							<li><i class="fa fa-check"></i> Customs Widgets</li>
							<li><i class="fa fa-check"></i> Multilingual</li>
						</ul>
						<h4 class="getpro"> <a href="https://weblizar.com/themes/explora-premium/" target="_blank"> Get Explora Premium </a>							
						</h4> 
					</div>
					<div class="col-md-6">
						<ul class="enigma-feature">
							<li><i class="fa fa-check"></i>Home Template Designs</li>
							<li><i class="fa fa-check"></i> Portfolio Template Designs</li>
							
							<li><i class="fa fa-check"></i> About Us Template Designs</li>
							<li><i class="fa fa-check"></i> Blog Template Designs</li>
							<li><i class="fa fa-check"></i> Contact Template Designs</li><li>
							<i class="fa fa-check"></i> Documentation
						</li>
						</ul>
						
					</div>				
						
					</div>
						
					</div>
				</div>
			</div>
		  </div>
		</div>
	</div>
    <?php
}
}

function explora_notice_dismissed() {
	$wl_th_info = wp_get_theme(); 
	$currentversion = str_replace('.','',(esc_html( $wl_th_info->get('Version') )));
	$dismissurl = '-notice-dismissed'.$currentversion;
	$isitdismissed = 'explora_notice_dismissed'.$currentversion;
    $user_id = get_current_user_id();
    if ( isset( $_GET[$dismissurl] ) )
        add_user_meta( $user_id, $isitdismissed, 'true', true );
}
add_action( 'admin_init', 'explora_notice_dismissed' );

?>